Gå til hovedinnhold

Fetch building floors information

GET 

/building/floors

Building Floors Endpoint

Overview

This API fetches floor data for a building or buildings based on a batch ID or building ID.

It returns data such as the floor number, floor code, gross building area, usable floor space, and number of residential units.

It supports both single building retrieval and batch downloads.

Example Request

curl -X 'GET' \
'https://apis.propcloud.no/api/public/building/floors?batch-id=1' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
batchIdUnique identifier for the batchUnik identifikator for batchenKartverket
buildingIdUnique identifier for the building.
Additions / changes to a building gets a unique building id but keeps the same building number
Unik identifikator for bygningen.
Paabygg / endinger paa bygning faar eget bygningsid, men beholder samme bygningsnummer. Feltet heter ByggId i Matrikkelen
Kartverket
alternativeAreaAlternative area in the floor. The municipalities decide what to include in this field.Alternativt areal i etasjen. Kommunene bestemmer hva de vil legge i feltet.Kartverket
alternativeArea2Field is freely available for municipalities to use as they wish.Feltet er til fri disposisjon for kommunene.Kartverket
floorCodeIdUnique identifier for the floor code.Etajsekode idKartverket
floorCodeNameName of the floor code, e.g., "Main Floor" / "Basement."Etasjekodenavn, i.e. "Hovedetajse" / "Underetasje"Kartverket
floorCodeValueFloor code, e.g., "H", "U".Etasjekode, i.e. "H", "U",Kartverket
floorIdUnique identifier for the floor.Unik identifikator for etasjenKartverket
floorNumberFloor number, e.g., 1, 2, 3.Etajsen, i.e. 1, 2, 3Kartverket
gbaHomeGross building area for residential use.Bruttoareal til boligKartverket
gbaOtherGross building area for non-residential use.Bruttoareal til annet enn boligKartverket
gbaTotalTotal gross building area.Totalt bruttoareal for etasjenKartverket
ufsHomeUsable floor space for residential use.Bruksareal til boligKartverket
ufsOtherUsable floor space for non-residential use.Bruksareal til annet enn boligKartverket
ufsTotalTotal usable floor space in square meters.Totalt bruksareal i kvadratmeterKartverket
unitsHomeNumber of residential units in the building.Antall boligenheter i etasjenKartverket

Request

Responses

Successful Response